List the registries this project can pull private images from
GET
/projects/{projectId}/registry-credentials
const url = 'https://example.com/projects/example/registry-credentials';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/projects/example/registry-credentials \ --header 'Authorization: Bearer <token>'Auth: authenticated (scope: read)
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”projectId
required
string
Responses
Section titled “Responses”OK
Media typeapplication/json
Array<object>
object
createdAt
required
string
id
required
string format: uuid
registry
required
Normalised registry host, e.g. ghcr.io or docker.io
string
updatedAt
required
string
username
required
string
Example generated
[ { "createdAt": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "registry": "example", "updatedAt": "example", "username": "example" }]